<script type="text/javascript">
$(document).ready(function(){
	cari_tahun();
	
	function cari_tahun(){
		var no = 1;
		
		$.ajax({
			type		: "POST",
			url		: "modul/akun_bb/cari_tahun.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tahun").val(data.tahun);
			}
		});
	}
	
	$('#form_cari_gol').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$('#cari_gol').click(function(){		
		$('#form_cari_gol').dialog('open');
		$("#txt_carigol").focus();		
	});
	
	$('#txt_carigol').keyup(function(){		
		var cari	= $("#txt_carigol").val();
		
		$.ajax({
			type	: "GET",
			url		: "modul/akun_bb/tampil_data_gol.php",
			data	: "cari="+cari,			
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info_gol").html("<img src='loading.gif' />");
			},				  
			success	: function(data){
				$("#info_gol").html(data);				
			}
		});		
	});
		
	$("#txt_nogol").keyup(function(){
		var kode 	= $("#txt_nogol").val();
		
		if(kode.length==2){
			$.ajax({
				type	: "POST",
				url		: "modul/akun_bb/cari_gol.php",
				data	: "kode="+kode,
				dataType: "json",
				success	: function(data){
					$("#txt_nogol").val(kode);
					$("#txt_nagol").val(data.nagol);
					$("#txt_kode").val(data.kode);
					
					var nagol = $("#txt_nagol").val();
					if(nagol==''){
						alert('Kode golongan '+kode+' tidak ditemukan.')
						$("#txt_nogol").focus();
						return(false);
					}
					cari_nomor();
				}
			});
		}
	});
	
	function cari_nomor(){
		var kode = $("#txt_nogol").val();
		
		if(kode.length==0){
			alert("Maaf, Golongan akun masih kosong.");
			$("#txt_nogol").focus();
			return (false);
		}
		
		$.ajax({
			type	: "POST",
			url		: "modul/akun_bb/cari_nomor.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_noakun").val(data.nomor);
				$("#txt_noakun").focus();
			}
		});
	}
	
	$("#txt_noakun").keyup(function(){
		var nogol	= $("#txt_nogol").val();
		var noakun	= $("#txt_noakun").val();
		
		if(noakun.length==2){
			if(!(noakun==nogol)){
				alert('Maaf, Kode Akun harus sama dengan Kode Golongan.');
			}
		}
		
		if(noakun.length==5){
		$.ajax({
			type	: "POST",
			url		: "modul/akun_bb/cari.php",
			data	: "noakun="+noakun,
			dataType: "json",
			success	: function(data){
				$("#txt_noakun").val(noakun);
				$("#txt_naakun").val(data.naakun);
				var naakun = $("#txt_naakun").val();
				
				if(!(naakun.length==0)){
					alert('Kode akun '+noakun+' sudah ada.');
					return (false);
				}
			}
		});
		}
	});
	
	$("#simpan").click(function(){
		simpan_data();
	});

	function simpan_data(){
		var	nogol	= $("#txt_nogol").val();
		var	noakun= $("#txt_noakun").val();
		var	naakun= $("#txt_naakun").val();
		var	level	= $("#txt_level").val();
		var	tahun	= $("#txt_tahun").val();
		var	kode	= $("#txt_kode").val();
		
		var error 	= false;
		
		if(nogol.length == 0){
			var error = true;
			alert("Maaf, Kode golongan harus diisi.");
			$("#txt_nogol").focus();
			return (false);
        }
		
		if(noakun.length == 0){
			var error = true;
			alert("Maaf, Kode akun tidak boleh kosong.");
			$("#txt_noakun").focus();
			return (false);
        }
		
		if(naakun.length == 0){
			var error = true;
			alert("Maaf, Nama akun tidak boleh kosong.");
			$("#txt_naakun").focus();
			return (false);
        }
		 
		if(level.length == 0){
			var error = true;
			alert("Maaf, Level akun belum dipilih.");
			$("#txt_level").focus();
			return (false);
        }
		  
		if(error == false){
		$.ajax({
			type	: "POST",
			url		: "modul/akun_bb/simpan.php",
			data	: "nogol="+nogol+
					"&noakun="+noakun+
					"&naakun="+naakun+
					"&level="+level+
					"&kode="+kode+
					"&tahun="+tahun,
					
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$("#akses").val(1);
				$(".input").val('');
				cari_nomor();
			}
		});
		}
	}
	
	$("#keluar").click(function(){
		document.location='?module=home';
	});
});
</script>

<?php
echo "<input type='hidden' id='akses'>";
echo "<table width='100%'>
	<tr>
		<td width='10%'>Kode Golongan</td>
		<td>: <input type='text' name='txt_nogol' id='txt_nogol' size='2'>
			<img src='images/view.png' width='18' height='18' title='Cari golongan akun' id='cari_gol'></td>
		<td>Nama Golongan : <input name='txt_nagol' id='txt_nagol' size='25' readonly /></td>
	</tr>
	</table>
	<hr>
	
	<table width='100%'>
	<tr>
		<td width='10%'>Kode Akun</td>
		<td>: <input type='text' name='txt_noakun' id='txt_noakun' size='5' class='input'></td>
	</tr>
	<tr>
		<td>Nama Akun</td>
		<td>: <input type='text' name='txt_naakun' id='txt_naakun' size='30' class='input'></td>
	</tr>
	
	<tr>
		<td>Level</td>
		<td>: <select name='txt_level' id='txt_level' align='center'>
			<option value='' selected>-Pilih-</option>
			<option value='1'> 1 </option>
			<option value='2'> 2 </option>
			</select>
		</td>
		<input type='text' name='txt_tahun' id='txt_tahun' size='5' hidden />
	</tr>
	
	<tr>
		<td>Saldo Normal</td>
		<td>: <input type='text' name='txt_kode' id='txt_kode' size='1' readonly /></td>
	</tr>
	</table>
	
	<table width='100%'>
	<tr>
		<td colspan='3' align='center'>
		<button name='simpan' id='simpan'>Simpan</button>
		<button name='keluar' id='keluar'>Keluar</button>
		</td>
	</tr>
	</table>";

echo "<div id='form_cari_gol' title='Pencarian Golongan Akun'>
		<table width='100%'>
			<td>
				<td width='20%'>Cari kata</td>
				<td width='2%'>:</td>
				<td><input type='text' name='txt_carigol' id='txt_carigol' size='40'</td>
			</td>
		</table>
		<div id='tampil_data_gol' align='center'></div>
		<div id='info_gol' align='center'></div>
	</div>";
?>